%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:           nodejs-is-regex
Version:        1.0.3
Release:        %mkrel 2
Summary:        Is this value a JS regex?
Group:          Development/Other

License:        MIT
URL:            https://github.com/ljharb/is-regex
Source0:        https://registry.npmjs.org/is-regex/-/is-regex-%{version}.tgz
BuildArch:      noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
%endif


%description
Is this value a JS regex? This module works cross-realm/iframe, and
despite ES6 @@toStringTag.


%prep
%setup -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/is-regex
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/is-regex
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} --harmony --es-staging test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/is-regex




%changelog
* Wed May 25 2016 neoclust <neoclust> 1.0.3-2.mga6
+ Revision: 1018355
- Enable tests

* Sun May 22 2016 tv <tv> 1.0.3-1.mga6
+ Revision: 1017666
- disable testuite for boostrapping
- imported package nodejs-is-regex


* Sun May 22 2016 Thierry Vignaud <tv@mageia.org> 1.0.3-1.mga6
- import from FC

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Oct 22 2015 Tom Hughes <tom@compton.nu> - 1.0.3-1
- Initial build of 1.0.3
